/**
 * @file test_event_system.cpp
 * @brief Unit tests for EventSystem component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "event_system.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_event_system_initialize(void)
{
    EventSystem comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_event_system_deinitialize(void)
{
    EventSystem comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
